Subject: bug#6693: 24.0.50; font-lock-(builtin|doc) faces are *way* too close

From: "Drew Adams" <[email-masked]>
Date: Sun, 3 Jul 2011 06:58:49 -0700

> This is the definition of `font-lock-builtin-face'.  Which of these
> cases is causing the confusion for you?
> 
> (defface font-lock-builtin-face
>   '((((class grayscale) (background light)) (:foreground 
> "LightGray" :weight bold))
>     (((class grayscale) (background dark)) (:foreground 
> "DimGray" :weight bold))
>     (((class color) (min-colors 88) (background light)) 
> (:foreground "MediumOrchid4"))
>     (((class color) (min-colors 88) (background dark)) 
> (:foreground "LightSteelBlue"))
>     (((class color) (min-colors 16) (background light)) 
> (:foreground "Orchid"))
>     (((class color) (min-colors 16) (background dark)) 
> (:foreground "LightSteelBlue"))
>     (((class color) (min-colors 8)) (:foreground "blue" :weight bold))
>     (t (:weight bold)))

I guess it would be this one, since that is what emacs -Q gives on my machine, I
assume (light background, many colors):

(((class color) (min-colors 88) (background light)) 
  (:foreground "MediumOrchid4"))

As I said, previously the value was "Orchid", and that was better.